/*--------------------------------------------------------------
# calendario
--------------------------------------------------------------*/

.dias-calendario {
	display: grid;
	grid-template-columns: repeat(7, 1fr);
	grid-gap: 0px;
	grid-auto-flow: dense;
	margin: 0;
	padding: 0;
}

	.dias-calendario .mes {
		grid-column: span 7; /* Hace que ocupe las 7 columnas */
		text-align: center;
		padding: 10px;
		background: var(--negro);
		color: var(--blanco);
		text-align: center;
		font-size: 16px;
		border-bottom: none;
	}
		.dias-calendario .mes a { color: var(--blanco); font-size: 22px; padding: 20px; }
		.dias-calendario .mes a:hover { color: var(--naranja); }

	.dias-calendario .diasemana {
		background: var(--azul);
		text-align: center;
		margin: 0;
		padding: 7px 5px;
		font-weight: bold;
		color: var(--blanco);
		border-bottom: 4px solid var(--cielo);
	}

	.dias-calendario div {
		text-align: center;
		padding: 10px;
		color: var(--gris);
		font-size: 14px;
		border-bottom: 1px solid var(--gris10);
	}
	.dias-calendario div a { color: var(--rata); }
	.dias-calendario div div { background: var(--blanco); }

	.dias-calendario div div strong { color: var(--negro); font-size: 13px; }

	.dias-calendario div:first-child { min-width: 180px; }

	/* Quita el borde-bottom de los elementos en la última fila */
	.dias-calendario div:nth-last-child(-n+7) {
		border-bottom: none;
	}

	.dias-calendario .actividad { font-size: 12px; text-align:left; padding: 5px 8px 8px 8px; line-height: 18px; }
	.dias-calendario .actividad:first-child { margin-top:5px; }
	
	.dias-calendario .diaactivo { background: var(--azulclaro); }
	.dias-calendario .diahoy { background: var(--vino); color: var(--blanco); }

	.dias-calendario .otromes { background: var(--blanco); }
	.dias-calendario .estemes { background: var(--alpha); }

	.dias-calendario .diahoy:hover,
	.dias-calendario .otromes:hover,
	.dias-calendario .diaactivo:hover,
	.dias-calendario .estemes:hover { background: var(--naranja); color: var(--blanco); }
